Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002378TestLinkTest Specificationpublic2009-04-14 16:272010-05-01 20:36
Reporterranand 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.1 
Fixed in Version1.9 Beta 2 
Summary0002378: Add to test plan does not have option to 'Add test plan' if plan does not exist
DescriptionAn option to create a test plan should exist in test case specification.

Steps to reproduce:

-> Login to Testlink
-> Go to a test suite you created
-> Click on an existing test case in the left pane
-> On the right pane, test case is displayed.
-> Click on 'Add to Test Plans'

This displays a table which would show test plans if any.

However, this was the first time I created tests and am yet to create a test plan. Hence I cannot see any plans displayed here.

It would be great to provide an option to Create a Test Plan from this 'Add Test Case Version to Test Plans' page.

Once the plan is created, it should come back here for selection.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version5.2.5
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon AddTestPlan.png [^] (17,516 bytes) 2009-04-14 16:27

- Relationships

-  Notes
(0006359)
amitkhullar (reporter)
2009-04-14 17:15

As per me , the Add To Test Plan button should not be enabled if no Test Plan exists. That way the user can follow the normal flow and create the test plan on the main page first and then assign test cases to it.

Amit
(0006372)
fman (administrator)
2009-04-14 23:47

Fix will be to display button only is test plan exists.
Right follow is follow suggested by amitkhullar

- Issue History
Date Modified Username Field Change
2009-04-14 16:27 ranand New Issue
2009-04-14 16:27 ranand File Added: AddTestPlan.png
2009-04-14 16:27 ranand PHP Version => 5.2.5
2009-04-14 17:15 amitkhullar Note Added: 0006359
2009-04-14 23:47 fman Note Added: 0006372
2009-04-14 23:47 fman Status new => assigned
2009-04-14 23:47 fman Assigned To => fman
2009-05-02 22:25 fman Status assigned => resolved
2009-05-02 22:25 fman Fixed in Version => 1.9 (DEV)
2009-05-02 22:25 fman Resolution open => fixed
2010-05-01 20:36 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker